Last Comment Bug 106696 - New JS errors/warnings should scroll into view
: New JS errors/warnings should scroll into view
Status: RESOLVED WONTFIX
:
Product: Toolkit Graveyard
Classification: Graveyard
Component: Error Console (show other bugs)
: Trunk
: All All
-- enhancement with 1 vote (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
:
Mentors:
javascript:
Depends on:
Blocks: 490886
  Show dependency treegraph
 
Reported: 2001-10-25 08:28 PDT by neil@parkwaycc.co.uk
Modified: 2016-06-29 11:02 PDT (History)
6 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description User image neil@parkwaycc.co.uk 2001-10-25 08:28:47 PDT
Using Build ID: 2001102309
Steps to reproduce problem:
1. Open the JS console
2. Evaluate # or @ (or some other error) ten times or so

Actual results: latest error is only visible on last > first sort order
                (and then only if you haven't scrolled the list).

Expected results: latest error should always be visible, scrolled to bottom or top.
Comment 1 User image Nickolay_Ponomarev 2006-01-09 16:45:05 PST
Scrolling the new errors into view automatically might not be the desired behavior: consider the situation when the new messages keep coming at a regular intervals and you're interested in one particular message.
Comment 2 User image kwah 2010-12-31 11:30:20 PST
Just looked and I believe that this is actually the current behavior for errors generated on the page code, but can confirm that the described problem occurs for output from evaluated code.


Personally I'd like it to be consistently that if you are currently scrolled to the extreme top / bottom then as new messages arrive you *stay* at the extreme top / bottom. 

Alternatively, if you have scrolled away from these extremes (eg to read one particular message) then the you should 'stick' to the currently visible message(s) when new ones arrive.
Comment 3 User image (Unavailable until Apr 3) [:bgrins] 2016-06-27 07:47:40 PDT
The Error Console has been removed in favor of the Browser Console (see Bug 1278368), and the component is going to be removed.  If this bug is also relevant in the Browser Console, please reopen and move this into Firefox -> Developer Tools: Console.
Comment 4 User image Zack Weinberg (:zwol) 2016-06-27 09:42:30 PDT
I am mass-reopening and re-componenting every single one of the Toolkit:Error Console bugs that appear to have been closed without anyone even *glancing* at whether they were relevant to the Browser Console.

If you want to close a whole bunch of old bugs -- FOR ANY REASON -- it is YOUR RESPONSIBILITY to check EVERY SINGLE ONE OF THEM and make sure they are no longer valid.  Do not push that work onto the bug reporters.

(It's okay to close bugs that haven't been touched in years when they don't have enough information for you to figure out whether the problem is still relevant to the current software - the reporter probably isn't coming back to clarify.  But that is the ONLY situation where it is okay.)

(I'm going to have to do this in two steps because of the way the "change several bugs at once" form works.  Apologies for the extra bugspam.)
Comment 5 User image (Unavailable until Apr 3) [:bgrins] 2016-06-28 14:32:52 PDT
The Error Console feature was removed entirely from the tree in Bug 1278368 and the bugzilla component is now being removed. We’ve migrated bugs that seem to also affect the Browser Console into the devtools component, please move this over if it was missed.

Note You need to log in before you can comment on or make changes to this bug.